Peplink Portal Docs

Lookup devices

Check warranty, IMEI and other informations for sales and technical support of any devices.

Request

GET/devices/lookup

Query parameters

snsstringrequired

Enter serial numbers of devices to find. Use , as separator for multiple serial numbers. Maximum 100 serial numbers are allowed.

Response

An array of json is returned in the response body. Each item in the array contains the following fields:

serialNumberstring

Serial number (sn) of the device.

productCodestring

Product code (sku) of the device.

productNamestring

Product name of the device.

imeisobject array

Associated IMEIs for the device. Empty array if the device has no IMEI.

Show child attributes
imeis.imeistring

IMEI

imeis.cellularModulestring

Description of cellular module for this IMEI.

hardwareRevisioninteger

Hardware revision of the device.

warrantyExpirationDatenullable date string

Warranty expiration date of the device.

subscriptionExpirationDatenullable date string

Subscription expiration date of the device. null if no subscription is purchased.

primecareExpirationDatenullable date string

PrimeCare expiration date of the device. null if no PrimeCare is purchased.

isUnderRmaboolean

Indicates if the device is under RMA.

lanMacnullable string

LAN MAC address of the device. null if the device has no LAN MAC.

isSupportFsimboolean

Indicates if the device supports FusionSIM.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/devices/lookup?sns=1234-1234-1234,2345-2345-2345' \  -H 'Authorization: Bearer {token}'

Response

[
  {
    "serialNumber": "1234-1234-1234",
    "productCode": "code-1",
    "productName": "product-1",
    "imeis": [
      {
        "imei": "493678715392327",
        "cellularModule": "cellular module 1"
      },
      {
        "imei": "493678715392328",
        "cellularModule": "cellular module 2"
      }
    ],
    "hardwareRevision": 1,
    "warrantyExpirationDate": "2021-01-15",
    "subscriptionExpirationDate": null,
    "primecareExpirationDate": null,
    "isUnderRma": false,
    "lanMac": "12-34-AA-BB-CC-DD",
    "isSupportFsim": false
  },
  {
    "serialNumber": "2345-2345-2345",
    "productCode": "code-2",
    "productName": "product-2",
    "imeis": [],
    "hardwareRevision": 1,
    "warrantyExpirationDate": "2021-01-15",
    "subscriptionExpirationDate": null,
    "primecareExpirationDate": null,
    "isUnderRma": true,
    "lanMac": "12-34-AA-BB-CC-DD",
    "isSupportFsim": false
  }
]

On this page